# nix-flakes-node docker image

Heavily based on:
- https://icewind.nl/entry/gitea-actions-nix/

How to build:
```
nix build .#runner
image=$((docker load < ./result) | sed -n '$s/^Loaded image: //p')
docker tag "$image" nix-flakes-node:latest
```

Push to forgejo docker registry:
```
docker login git.pub.solar
docker tag nix-flakes-node:latest git.pub.solar/pub-solar/nix-flakes-node:latest
docker push git.pub.solar/pub-solar/nix-flakes-node:latest
```

How to test:
```
docker run -it --rm nix-flakes-node:latest bash

bash-5.2# node

Welcome to Node.js v20.5.1.
Type ".help" for more information.
>
```
